Skip to content

Add Peppol identifier to party

POST
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/parties/{party_id}/identifiers

Add a new Peppol identifier (participant ID) to a party.

party_id
required
Party Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
PartyIdentifierCreate

Create party identifier schema.

object
scheme_id
required
Scheme Id

ISO 6523 scheme code (e.g., 0088 for GLN)

string
<= 10 characters
identifier
required
Identifier
string
<= 200 characters
is_primary
Is Primary
boolean
Examples

Request payload example

{
"scheme_id": "string",
"identifier": "string",
"is_primary": false
}

Successful Response

Examples

201 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}